## harvid 0.7.0

=== Makefile ===
VERSION=$(shell git describe --tags HEAD || echo "X.X.X")
SUBDIRS = src doc

default: all

$(SUBDIRS)::
	$(MAKE) -C $@ $(MAKECMDGOALS)

all clean man install uninstall install-bin install-man uninstall-bin uninstall-man: $(SUBDIRS)

dist:
	git archive --format=tar --prefix=harvid-$(VERSION)/ HEAD | gzip -9 > harvid-$(VERSION).tar.gz

.PHONY: clean all subdirs install uninstall dist install-bin install-man uninstall-bin uninstall-man

=== doc/Makefile ===
mandir ?= $(PREFIX)/share/man/man1

all: 

install: install-man

uninstall: uninstall-man

install-man: harvid.1
	install -d $(DESTDIR)$(mandir)
	install -m644 harvid.1 $(DESTDIR)$(mandir)

uninstall-man:
	rm -f $(DESTDIR)$(mandir)/harvid.1
	-rmdir $(DESTDIR)$(mandir)

install-bin:

uninstall-bin:

man:

clean:

.PHONY: all install uninstall install-man uninstall-man install-bin uninstall-bin

=== src/Makefile ===
VERSION?=$(shell git describe --tags HEAD || echo "X.X.X")

CFLAGS ?= -Wall -g -O2
PREFIX ?= /usr/local

bindir ?= $(PREFIX)/bin
mandir ?= $(PREFIX)/share/man/man1

LOGODEP=logo.o seek.o
ECHO=$(shell which echo) -e

ARCHFLAGS=
ARCHINCLUDES=
ARCHLIBES=

CONFIGTEMP=conf.out
IS_OSX=

ifeq ($(ARCH),mingw)
  CC=i686-w64-mingw32-gcc
  LD=i686-w64-mingw32-ld
  WINEROOT?=$(HOME)/.wine/drive_c/x-prefix
  PKG_CONFIG_PATH=$(WINEROOT)/lib/pkgconfig/
  ARCHINCLUDES=-I$(WINEROOT)/include -DHAVE_WINDOWS
  ARCHLIBES=-lwsock32 -lws2_32 -lpthreadGC2
  LDFLAGS+=-L$(WINEROOT)/lib/ -L${WINEROOT}/bin
  UNAME=mingw
else
  UNAME=$(shell uname)
  ifeq ($(UNAME),Darwin)
  ARCHFLAGS=-arch i386 -arch ppc -arch x86_64
  ARCHFLAGS+=-isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5
  ARCHFLAGS+=-headerpad_max_install_names
  ARCHFLAGS+=-sectcreate __DATA __doc_harvid_jpg ../doc/harvid.jpg
  ARCHFLAGS+=-sectcreate __DATA __doc_seek_js ../doc/seek.js
  LOGODEP=
  ECHO=echo
  ISOSX=1
  else
  ARCHLIBES=-lrt -lpthread
  endif
endif


ifeq ($(shell pkg-config --exists libavcodec libavformat libswscale || echo no), no)
  $(error "http://ffmpeg.org is required - install libavcodec-dev, libswscale-dev, etc")
endif

ifeq ($(shell pkg-config --exists libpng || echo no), no)
  $(error "libpng is required - install libpng-dev")
endif

ifeq ($(shell $(ECHO) "\#include <stdio.h>\n\#include <jpeglib.h>\nint main() { struct jpeg_error_mgr jerr; jpeg_std_error(&jerr); return 0; }" | $(CC) -pipe -x c -o $(CONFIGTEMP) $(ARCHINCLUDES) $(LDFLAGS) - -ljpeg 2>/dev/null || echo no; $(RM) -f $(CONFIGTEMP)), no)
  $(error "libjpeg is required - install libjpeg-dev, libjpeg8-dev or libjpeg62-dev")
endif


FLAGS+=$(ARCHINCLUDES) $(ARCHFLAGS)
FLAGS+=`pkg-config --cflags libavcodec libavformat libavutil libpng libswscale`

LOADLIBES=$(ARCHLIBES)
LOADLIBES+=`pkg-config --libs libavcodec libavformat libavutil libpng libswscale`
LOADLIBES+=-ljpeg
LOADLIBES+=-lz -lm

FLAGS+=-DICSVERSION="\"$(VERSION)\"" -DICSARCH="\"$(UNAME)\""

all: harvid

HARVID_H = \
  daemon_log.h daemon_util.h \
  socket_server.h \
  vinfo.h frame_cache.h image_cache.h\
  ffdecoder.h \
  decoder_ctrl.h \
  ffcompat.h \
  enums.h \
  favicon.h \
  ics_handler.h httprotocol.h htmlconst.h \
  image_format.h \
  timecode.h

HARVID_SRC = \
  harvid.c \
  daemon_log.c daemon_util.c \
  fileindex.c htmlseek.c \
  httprotocol.c ics_handler.c \
  socket_server.c vinfo.c \
  decoder_ctrl.c frame_cache.c image_cache.c \
  ffdecoder.c \
  image_format.c \
  timecode.c

logo.o: ../doc/harvid.jpg
	$(LD) -r -b binary -o logo.o ../doc/harvid.jpg

seek.o: ../doc/seek.js
	$(LD) -r -b binary -o seek.o ../doc/seek.js

harvid: $(HARVID_SRC) $(HARVID_H) $(LOGODEP)
	export PKG_CONFIG_PATH=$(PKG_CONFIG_PATH);\
	$(CC) -o $(@) $(CFLAGS) $(FLAGS) $(HARVID_SRC) $(LOGODEP) $(LDFLAGS) $(LOADLIBES)

clean:
	rm -f harvid logo.o seek.o cscope.* tags

man: harvid
	help2man -N -n 'video server' -o ../doc/harvid.1 ./harvid

install: install-bin

uninstall: uninstall-bin

install-bin: harvid
	install -d $(DESTDIR)$(bindir)
	install -m755 harvid $(DESTDIR)$(bindir)

uninstall-bin:
	rm -f $(DESTDIR)$(bindir)/harvid
	-rmdir $(DESTDIR)$(bindir)

install-man:

uninstall-man:

.PHONY: all install uninstall install-man uninstall-man install-bin uninstall-bin

## harvid 0.7.2

=== src/Makefile ===
LOGODEP=logo.o seek.o

include ../common.mak

CONFIGTEMP=conf.out

ifeq ($(shell pkg-config --exists libavcodec libavformat libswscale || echo no), no)
  $(error "http://ffmpeg.org is required - install libavcodec-dev, libswscale-dev, etc")
endif

ifeq ($(shell pkg-config --exists libpng || echo no), no)
  $(error "libpng is required - install libpng-dev")
endif

ifeq ($(shell $(ECHO) "\#include <stdio.h>\n\#include <jpeglib.h>\nint main() { struct jpeg_error_mgr jerr; jpeg_std_error(&jerr); return 0; }" | $(CC) -pipe -x c -o $(CONFIGTEMP) $(ARCHINCLUDES) $(LDFLAGS) - -ljpeg 2>/dev/null || echo no; $(RM) -f $(CONFIGTEMP)), no)
  $(error "libjpeg is required - install libjpeg-dev, libjpeg8-dev or libjpeg62-dev")
endif

FLAGS=-I../libharvid/
FLAGS+=$(ARCHINCLUDES) $(ARCHFLAGS)
FLAGS+=`pkg-config --cflags libavcodec libavformat libavutil libpng libswscale`

LOADLIBES=$(ARCHLIBES)
LOADLIBES+=`pkg-config --libs libavcodec libavformat libavutil libpng libswscale`
LOADLIBES+=-ljpeg
LOADLIBES+=-lz -lm

FLAGS+=-DICSVERSION="\"$(VERSION)\"" -DICSARCH="\"$(UNAME)\""

all: harvid

HARVID_H = \
  daemon_log.h daemon_util.h \
  socket_server.h \
  enums.h \
  favicon.h \
  ics_handler.h httprotocol.h htmlconst.h \
  image_format.h \
  ../libharvid/vinfo.h \
  ../libharvid/frame_cache.h \
  ../libharvid/image_cache.h\
  ../libharvid/ffdecoder.h \
  ../libharvid/decoder_ctrl.h \
  ../libharvid/ffcompat.h \
  ../libharvid/timecode.h

HARVID_SRC = \
  harvid.c \
  daemon_log.c daemon_util.c \
  fileindex.c htmlseek.c \
  httprotocol.c ics_handler.c \
  image_format.c \
  socket_server.c \
  ../libharvid/libharvid.a

logo.o: ../doc/harvid.jpg
	$(LD) -r -b binary -o logo.o ../doc/harvid.jpg

seek.o: ../doc/seek.js
	$(LD) -r -b binary -o seek.o ../doc/seek.js

harvid: $(HARVID_SRC) $(HARVID_H) $(LOGODEP)
	export PKG_CONFIG_PATH=$(PKG_CONFIG_PATH);\
	$(CC) -o $(@) $(CFLAGS) $(FLAGS) $(HARVID_SRC) $(LOGODEP) $(LDFLAGS) $(LOADLIBES)

clean:
	rm -f harvid logo.o seek.o cscope.* tags

man: harvid
	help2man -N -n 'video server' -o ../doc/harvid.1 ./harvid

install: install-bin

uninstall: uninstall-bin

install-bin: harvid
	install -d $(DESTDIR)$(bindir)
	install -m755 harvid $(DESTDIR)$(bindir)

uninstall-bin:
	rm -f $(DESTDIR)$(bindir)/harvid
	-rmdir $(DESTDIR)$(bindir)

install-man:

uninstall-man:

install-lib:

uninstall-lib:

.PHONY: all install uninstall install-man uninstall-man install-bin uninstall-bin install-lib uninstall-lib

=== debian/changelog ===
harvid (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 03 Jun 2013 01:28:13 +0100

harvid (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #704023)

 -- Robin Gareus <robin@gareus.org>  Tue, 26 Mar 2013 22:14:46 +0100

=== debian/control ===
Source: harvid
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Robin Gareus <robin@gareus.org>
Build-Depends:
 debhelper (>= 9~),
 libavcodec-dev,
 libavformat-dev,
 libjpeg8-dev | libjpeg62-dev,
 libpng12-dev,
 libswscale-dev,
 pkg-config
Homepage: http://x42.github.com/harvid/
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/harvid.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/harvid.git

Package: harvid
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: HTTP Ardour Video Server
 Harvid is a HTTP server to efficiently extract, cache and
 serve still images from movie files.
 .
 It provides for frame-accurate decoding and is main use-case
 is to act as backend and second level cache for rendering the
 videotimeline in Ardour.
 .
 Harvid uses ffmpeg/libav and supports a wide variety of video
 codecs and formats.

## harvid 0.7.3

=== libharvid/Makefile ===
include ../common.mak

FLAGS=
FLAGS+=$(ARCHINCLUDES) $(ARCHFLAGS)
FLAGS+=`pkg-config --cflags libavcodec libavformat libavutil libswscale`
LIBHARVID_OBJECTS = \
  decoder_ctrl.o \
  ffdecoder.o \
  frame_cache.o \
  image_cache.o \
  timecode.o \
  vinfo.o

LIBHARVID_H = \
  decoder_ctrl.h \
  ffdecoder.h \
  frame_cache.h \
  image_cache.h\
  ffcompat.h \
  timecode.h \
  vinfo.h 

all: libharvid.a

libharvid.a: $(LIBHARVID_OBJECTS) $(LIBHARVID_H)
ifeq ($(UNAME),Darwin)
	/usr/bin/libtool -static -o libharvid.a $(LIBHARVID_OBJECTS)
else
	$(AR) cru libharvid.a $(LIBHARVID_OBJECTS)
	$(RANLIB) libharvid.a
endif

.libharvid.sym: $(LIBHARVID_OBJECTS) $(LIBHARVID_H)
	$(NM) $(LIBHARVID_OBJECTS) \
	  | sed -n -e 's/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$$/\1 \2 \2/p' \
	  | sed '/ __gnu_lto/d' | sed 's/.* //' | sed 's/^_//g' \
	  | sort | uniq \
	  | grep -E -e "^(dctrl_|vcache_|jvi_|ff_cleanup|ff_initialize|icache_).*" \
	  > .libharvid.sym

libharvid.dll: $(LIBHARVID_OBJECTS) $(LIBHARVID_H) .libharvid.sym dlog_null.c
	echo "asm (\".section .drectve\");" > .libharvid_dll.c
	sed -e "s/\(.*\)/asm (\".ascii \\\\\" -export:\1\\\\\"\");/" .libharvid.sym >> .libharvid_dll.c
	$(CC) -o libharvid.$(LIBEXT) \
	  -shared \
	  $(LIBHARVID_OBJECTS) \
	  $(CFLAGS) $(FLAGS) \
	  .libharvid_dll.c dlog_null.c \
	  $(LDFLAGS) `pkg-config --libs libavcodec libavformat libavutil libswscale` $(ARCHLIBES)
	$(STRIP) libharvid.$(LIBEXT)

libharvid.dylib: $(LIBHARVID_OBJECTS) $(LIBHARVID_H) .libharvid.sym
	sed 's,^,_,' .libharvid.sym > .libharvid.expsym
	$(CC) -o libharvid.$(LIBEXT) \
	  -dynamiclib \
	  $(LIBHARVID_OBJECTS) \
	  $(CFLAGS) $(FLAGS) \
	  -install_name $(libdir)/libltc.0.$(LIBEXT) \
	  -Wl,-undefined -Wl,dynamic_lookup \
	  -Wl,-single_module -Wl,-exported_symbols_list,.libharvid.expsym
	dsymutil libharvid.$(LIBEXT)

libharvid.so: $(LIBHARVID_OBJECTS) $(LIBHARVID_H) .libharvid.sym
	echo "{ global:" > .libharvid.ver
	sed -e "s/\(.*\)/\1;/" .libharvid.sym >> .libharvid.ver
	echo "local: *; };" >> .libharvid.ver
	$(CC) -o libharvid.$(LIBEXT) \
	  -fPIC -shared \
	  $(LIBHARVID_OBJECTS) \
	  $(CFLAGS) $(FLAGS) \
	  -Wl,-soname -Wl,libharvid.so.0 -Wl,-version-script -Wl,.libharvid.ver
	$(STRIP) libharvid.$(LIBEXT)


%.o: %.c $(LIBHARVID_H)
	$(CC) -c -o $(@) $(CFLAGS) $(FLAGS) $<

install-lib: libharvid.a libharvid.$(LIBEXT)
	install -d $(DESTDIR)$(libdir)/pkgconfig/
	sed 's!@PREFIX@!'$(PREFIX)'!;s!@LIBDIR@!'$(libdir)'!;s!@VERSION@!'$(VERSION)'!' harvid.pc.in > harvid.pc
	install -m 644 harvid.pc $(DESTDIR)$(libdir)/pkgconfig/
	install -m 644 libharvid.$(LIBEXT) $(DESTDIR)$(libdir)/
	install -m 644 libharvid.a $(DESTDIR)$(libdir)/
	install -d $(DESTDIR)$(includedir)/harvid/
	install -m 644 harvid.h $(LIBHARVID_H) $(DESTDIR)$(includedir)/harvid/
	install -d $(DESTDIR)$(hdocdir)/examples
	install -m 644 dlog_null.c $(DESTDIR)$(hdocdir)/examples/
	gzip -9 $(DESTDIR)$(hdocdir)/examples/dlog_null.c

uninstall-lib:
	rm -f $(DESTDIR)$(libdir)/pkgconfig/harvid.pc
	rm -f $(DESTDIR)$(libdir)/libharvid.$(LIBEXT)
	rm -f $(DESTDIR)$(libdir)/libharvid.a
	rm -rf $(DESTDIR)$(includedir)/harvid/
	rm -f $(DESTDIR)$(hdocdir)/examples/dlog_null.c.gz
	-rmdir $(DESTDIR)$(libdir)/pkgconfig
	-rmdir $(DESTDIR)$(libdir)
	-rmdir $(DESTDIR)$(hdocdir)/examples
	-rmdir $(DESTDIR)$(hdocdir)
	-rmdir $(DESTDIR)$(docdir)
	-rmdir $(DESTDIR)$(includedir)

clean:
	rm -f *.o libharvid.a libharvid.so libharvid.dll libharvid.dylib harvid.pc .libharvid.sym .libharvid.ver .libharvid_dll.c 

install:

uninstall:

install-man:

uninstall-man:

install-bin:

uninstall-bin:

man: libharvid.a

clean:

.PHONY: all install uninstall install-man uninstall-man install-bin uninstall-bin install-lib uninstall-lib

=== debian/changelog ===
harvid (0.7.3-4build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 21:41:47 +0100

harvid (0.7.3-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 May 2014 21:33:56 +0200

harvid (0.7.3-3) experimental; urgency=low

  * Team upload.
  * Add patch by Anton Khirnov and compile against Libav10 (Closes: #739304)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Apr 2014 19:23:05 -0400

harvid (0.7.3-2) unstable; urgency=low

  * Team upload.
  * debian/rules: Remove --parallel. The build system doesn't support parallel
    builds and fails to build on the buildds.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Aug 2013 17:46:07 +0200

harvid (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * Change section to video. (Closes: #705629)

 -- Alessio Treglia <alessio@debian.org>  Fri, 28 Jun 2013 00:51:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: harvid
-Section: sound
+Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
@@ -7,14 +7,14 @@
  Robin Gareus <robin@gareus.org>
 Build-Depends:
  debhelper (>= 9~),
- libavcodec-dev,
- libavformat-dev,
+ libavcodec-dev (>= 6:10~),
+ libavformat-dev (>= 6:10~),
  libjpeg8-dev | libjpeg62-dev,
  libpng12-dev,
- libswscale-dev,
+ libswscale-dev (>= 6:10~),
  pkg-config
 Homepage: http://x42.github.com/harvid/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/harvid.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/harvid.git

## harvid 0.7.5

=== Makefile ===
VERSION?=$(shell git describe --tags HEAD || echo "X.X.X")
SUBDIRS = libharvid src doc

default: all

$(SUBDIRS)::
	$(MAKE) -C $@ $(MAKECMDGOALS)

all clean man install uninstall install-bin install-man uninstall-bin uninstall-man install-lib uninstall-lib: $(SUBDIRS)

dist:
	git archive --format=tar --prefix=harvid-$(VERSION)/ HEAD | gzip -9 > harvid-$(VERSION).tar.gz

.PHONY: clean all subdirs install uninstall dist install-bin install-man uninstall-bin uninstall-man install-lib uninstall-lib

=== libharvid/Makefile ===
--- 
+++ 
@@ -20,6 +20,11 @@
   timecode.h \
   vinfo.h 
 
+ifeq ($(ARCH),mingw)
+	LIBHARVID_OBJECTS += snprintf.o
+	FLAGS += -DSNPRINTF_LONGLONG_SUPPORT -DHAVE_SNPRINTF -DPREFER_PORTABLE_SNPRINTF
+endif
+
 all: libharvid.a
 
 libharvid.a: $(LIBHARVID_OBJECTS) $(LIBHARVID_H)
@@ -41,6 +46,7 @@
 libharvid.dll: $(LIBHARVID_OBJECTS) $(LIBHARVID_H) .libharvid.sym dlog_null.c
 	echo "asm (\".section .drectve\");" > .libharvid_dll.c
 	sed -e "s/\(.*\)/asm (\".ascii \\\\\" -export:\1\\\\\"\");/" .libharvid.sym >> .libharvid_dll.c
+	export PKG_CONFIG_PATH=$(PKG_CONFIG_PATH);\
 	$(CC) -o libharvid.$(LIBEXT) \
 	  -shared \
 	  $(LIBHARVID_OBJECTS) \
@@ -51,6 +57,7 @@
 
 libharvid.dylib: $(LIBHARVID_OBJECTS) $(LIBHARVID_H) .libharvid.sym
 	sed 's,^,_,' .libharvid.sym > .libharvid.expsym
+	export PKG_CONFIG_PATH=$(PKG_CONFIG_PATH);\
 	$(CC) -o libharvid.$(LIBEXT) \
 	  -dynamiclib \
 	  $(LIBHARVID_OBJECTS) \
@@ -64,6 +71,7 @@
 	echo "{ global:" > .libharvid.ver
 	sed -e "s/\(.*\)/\1;/" .libharvid.sym >> .libharvid.ver
 	echo "local: *; };" >> .libharvid.ver
+	export PKG_CONFIG_PATH=$(PKG_CONFIG_PATH);\
 	$(CC) -o libharvid.$(LIBEXT) \
 	  -fPIC -shared \
 	  $(LIBHARVID_OBJECTS) \
@@ -73,6 +81,7 @@
 
 
 %.o: %.c $(LIBHARVID_H)
+	export PKG_CONFIG_PATH=$(PKG_CONFIG_PATH);\
 	$(CC) -c -o $(@) $(CFLAGS) $(FLAGS) $<
 
 install-lib: libharvid.a libharvid.$(LIBEXT)

=== src/Makefile ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 CONFIGTEMP=conf.out
 
-ifeq ($(shell pkg-config --exists libavcodec libavformat libswscale || echo no), no)
+ifeq ($(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --exists libavcodec libavformat libavutil libswscale || echo no), no)
   $(error "http://ffmpeg.org is required - install libavcodec-dev, libswscale-dev, etc")
 endif
 
-ifeq ($(shell pkg-config --exists libpng || echo no), no)
+ifeq ($(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --exists libpng || echo no), no)
   $(error "libpng is required - install libpng-dev")
 endif

=== debian/changelog ===
harvid (0.7.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards.
  * Add myself as uploader.
  * Update copyright file.
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 26 Oct 2014 19:17:43 +0100

harvid (0.7.3-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo
    (Closes: #763474)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Sep 2014 15:11:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Robin Gareus <robin@gareus.org>
+ Robin Gareus <robin@gareus.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9~),
  libavcodec-dev (>= 6:10~),
  libavformat-dev (>= 6:10~),
- libjpeg8-dev | libjpeg62-dev,
+ libjpeg-dev,
  libpng12-dev,
  libswscale-dev (>= 6:10~),
  pkg-config
 Homepage: http://x42.github.com/harvid/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/harvid.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/harvid.git

=== debian/rules ===
#!/usr/bin/make -f

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')

%:
	dh $@ -Smakefile

override_dh_auto_build:
	dh_auto_build -- \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS) -Wl,--as-needed" \
		VERSION="$(upstream_version)"

override_dh_auto_install:
	$(MAKE) install-bin DESTDIR=$(CURDIR)/debian/harvid PREFIX=/usr

override_dh_auto_clean:
	dh_auto_clean || true

## harvid 0.8.0

=== debian/changelog ===
harvid (0.8.0-2build1) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Sep 2015 18:03:05 +0200

harvid (0.8.0-2) unstable; urgency=medium

  * Add vim-common as build-dep. (Closes: #775416)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 24 Mar 2015 13:48:41 +0100

harvid (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Added spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 23 Mar 2015 20:55:57 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
  libjpeg-dev,
  libpng12-dev,
  libswscale-dev (>= 6:10~),
- pkg-config
+ pkg-config,
+ vim-common
 Homepage: http://x42.github.com/harvid/
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/harvid.git

## harvid 0.8.1

=== libharvid/Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 	  -dynamiclib \
 	  $(LIBHARVID_OBJECTS) \
 	  $(CFLAGS) $(FLAGS) \
-	  -install_name $(libdir)/libltc.0.$(LIBEXT) \
+	  -install_name $(libdir)/libharvid.0.$(LIBEXT) \
 	  -Wl,-undefined -Wl,dynamic_lookup \
 	  -Wl,-single_module -Wl,-exported_symbols_list,.libharvid.expsym
 	dsymutil libharvid.$(LIBEXT)

=== debian/changelog ===
harvid (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Change libpng12-dev to libpng-dev. (Closes: #810175)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 08 Jan 2016 00:46:36 +0100

harvid (0.8.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.1
  * Patches apllied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 01 Dec 2015 14:10:20 +0100

harvid (0.8.0-4) unstable; urgency=medium

  * Patches forwarded.
  * Add patch to fix parallel building (Closes: #804222).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 07 Nov 2015 15:15:58 +0100

harvid (0.8.0-3) unstable; urgency=medium

  * Add ffmpeg_2.9.patch (Closes: #803824)
  * Remove libav patch.
  * Build parallel.
  * Add gitigonere file.
  * Add local-options file.
  * Fix more spelling errors.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 03 Nov 2015 08:21:08 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libavcodec-dev (>= 6:10~),
  libavformat-dev (>= 6:10~),
  libjpeg-dev,
- libpng12-dev,
+ libpng-dev,
  libswscale-dev (>= 6:10~),
  pkg-config,
  vim-common

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
 
 %:
-	dh $@ -Smakefile
+	dh $@ -Smakefile --parallel
 
 override_dh_auto_build:
 	dh_auto_build -- \

## harvid 0.8.2

=== debian/changelog ===
harvid (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Fix VCS fields.
  * Bump Standards.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 15 Jan 2017 20:04:52 +0100

harvid (0.8.1-3) unstable; urgency=medium

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Mon, 31 Oct 2016 13:43:14 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Robin Gareus <robin@gareus.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 10),
  libavcodec-dev (>= 6:10~),
  libavformat-dev (>= 6:10~),
  libjpeg-dev,
@@ -16,9 +15,9 @@
  pkg-config,
  vim-common
 Homepage: http://x42.github.com/harvid/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/harvid.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/harvid.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/harvid.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/harvid.git
 
 Package: harvid
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ -Smakefile --parallel
+	dh $@ -Smakefile
 
 override_dh_auto_build:
 	dh_auto_build -- \

=== debian/watch ===
version=3
https://github.com/x42/harvid/tags .*/v?(\d[\d\.]+)\.tar\.gz

## harvid 0.8.3

=== doc/Makefile ===
include ../common.mak

all: 

install: install-man

uninstall: uninstall-man

install-man: harvid.1
	install -d $(DESTDIR)$(man1dir)
	install -m644 harvid.1 $(DESTDIR)$(man1dir)

uninstall-man:
	rm -f $(DESTDIR)$(man1dir)/harvid.1
	-rmdir $(DESTDIR)$(man1dir)

install-bin:

uninstall-bin:

install-lib:
	install -d $(DESTDIR)$(hdocdir)/examples
	install -m 644 libharvid_example.c $(DESTDIR)$(hdocdir)/examples/
	gzip -9 $(DESTDIR)$(hdocdir)/examples/libharvid_example.c

uninstall-lib:
	rm -f $(DESTDIR)$(hdocdir)/examples/libharvid_example.c.gz
	-rmdir $(DESTDIR)$(hdocdir)/examples
	-rmdir $(DESTDIR)$(hdocdir)
	-rmdir $(DESTDIR)$(docdir)

man:

clean:

.PHONY: all install uninstall install-man uninstall-man install-bin uninstall-bin install-lib uninstall-lib

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,8 @@
-LOGODEP=logo.o seek.o
+ifneq ($(shell which xxd),)
+  LOGODEP=logo.c seek.c
+else
+  LOGODEP=logo.o seek.o
+endif
 
 include ../common.mak
 
@@ -53,18 +57,37 @@
   socket_server.c \
   ../libharvid/libharvid.a
 
+ifneq ($(shell which xxd),)
+FLAGS+=-DXXDI
+
+logo.c: ../doc/harvid.jpg
+	xxd -i ../doc/harvid.jpg > logo.c
+
+seek.c: ../doc/seek.js
+	xxd -i ../doc/seek.js > seek.c
+
+logo.o: ../doc/harvid.jpg
+	xxd -i ../doc/harvid.jpg | $(CC) -x c - -c -o logo.o
+
+seek.o: ../doc/seek.js
+	xxd -i ../doc/seek.js | $(CC) -x c - -c -o seek.o
+
+else
+
 logo.o: ../doc/harvid.jpg
 	$(LD) -r -b binary -o logo.o ../doc/harvid.jpg
 
 seek.o: ../doc/seek.js
 	$(LD) -r -b binary -o seek.o ../doc/seek.js
 
+endif
+
 harvid: $(HARVID_SRC) $(HARVID_H) $(LOGODEP)
 	export PKG_CONFIG_PATH=$(PKG_CONFIG_PATH);\
 	$(CC) -o $(@) $(CFLAGS) $(FLAGS) $(HARVID_SRC) $(LOGODEP) $(LDFLAGS) $(LOADLIBES)
 
 clean:
-	rm -f harvid logo.o seek.o cscope.* tags
+	rm -f harvid logo.c logo.o seek.c seek.o cscope.* tags
 
 man: harvid
 	help2man -N -n 'video server' -o ../doc/harvid.1 ./harvid

=== debian/changelog ===
harvid (0.8.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 12
  * debian/rules: Use dpkg's pkg-info.mk

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Sep 2019 20:32:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: harvid
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Robin Gareus <robin@gareus.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libavcodec-dev (>= 6:10~),
  libavformat-dev (>= 6:10~),
  libjpeg-dev,
@@ -15,9 +15,9 @@
  pkg-config,
  vim-common
 Homepage: http://x42.github.com/harvid/
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/harvid.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/harvid.git
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/harvid.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/harvid
 
 Package: harvid
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Smakefile

override_dh_auto_build:
	dh_auto_build -- \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS) -Wl,--as-needed" \
		VERSION="$(DEB_VERSION_UPSTREAM)"

override_dh_auto_install:
	$(MAKE) install-bin DESTDIR=$(CURDIR)/debian/harvid PREFIX=/usr

override_dh_auto_clean:
	dh_auto_clean || true

## harvid 0.9.0

=== debian/changelog ===
harvid (0.9.0-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:52:13 +0000

harvid (0.9.0-1) unstable; urgency=medium

  * Team upload

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add salsa-ci configuration
  * Fix FTCBFS: Make pkg-config substitutable.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #964148)
  * Fix FTCBFS: Pass PKG_CONFIG to all targets.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #964148)

  [ Sebastian Ramacher ]
  * New upstream version 0.9.0
    - Fix build with ffmpeg 5.0 (Closes: #1004826)
  * debian/patches: Refresh patches

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Apr 2022 18:14:03 +0200

harvid (0.8.3-2) unstable; urgency=medium

  * Team upload.

  * Drop build-test for libjpeg (Closes: #963393)
  * Update vim-common build dependency to xxd.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #912831)
  * Bump dh-compat to 13
  * Use https:// for Homepage-stanza
  * Bump standards-version to 4.5.0
  * Declare that building this package does not require 'root' powers
  * Patch to fix spelling errors

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Jun 2020 12:08:34 +0200

=== debian/control ===
Source: harvid
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Robin Gareus <robin@gareus.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper-compat (= 13),
 libavcodec-dev (>= 6:10~),
 libavformat-dev (>= 6:10~),
 libjpeg-dev,
 libpng-dev,
 libswscale-dev (>= 6:10~),
 pkg-config,
 xxd,
Homepage: https://x42.github.com/harvid/
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/harvid.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/harvid

Package: harvid
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: HTTP Ardour Video Server
 Harvid is a HTTP server to efficiently extract, cache and
 serve still images from movie files.
 .
 It provides for frame-accurate decoding and is main use-case
 is to act as backend and second level cache for rendering the
 videotimeline in Ardour.
 .
 Harvid uses ffmpeg/libav and supports a wide variety of video
 codecs and formats.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
+DPKG_EXPORT_BUILDTOOLS=1
+-include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## harvid 0.9.1

=== Makefile ===
VERSION?=$(shell git describe --tags HEAD || echo "X.X.X")
SUBDIRS = libharvid src doc

default: all

$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

all clean man install uninstall install-bin install-man uninstall-bin uninstall-man install-lib uninstall-lib: $(SUBDIRS)

# final binary links against a library
src: libharvid

dist:
	git archive --format=tar --prefix=harvid-$(VERSION)/ HEAD | gzip -9 > harvid-$(VERSION).tar.gz

.PHONY: clean all subdirs install uninstall dist install-bin install-man uninstall-bin uninstall-man install-lib uninstall-lib $(SUBDIRS)

=== libharvid/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
   timecode.h \
   vinfo.h 
 
-ifeq ($(ARCH),mingw)
+ifneq ($(XWIN),)
 	LIBHARVID_OBJECTS += snprintf.o
 	FLAGS += -DSNPRINTF_LONGLONG_SUPPORT -DHAVE_SNPRINTF -DPREFER_PORTABLE_SNPRINTF
 endif

=== src/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
   $(error "libpng is required - install libpng-dev")
 endif
 
-ifeq ($(shell $(ECHO) "\#include <stdio.h>\n\#include <jpeglib.h>\nint main() { struct jpeg_error_mgr jerr; jpeg_std_error(&jerr); return 0; }" | $(CC) -pipe -x c -o $(CONFIGTEMP) $(ARCHINCLUDES) $(LDFLAGS) - -ljpeg 2>/dev/null || echo no; $(RM) -f $(CONFIGTEMP)), no)
+ifeq ($(shell $(CC) ../misc/jpeg-test.c -o $(CONFIGTEMP) $(ARCHINCLUDES) $(LDFLAGS) -ljpeg 2>/dev/null || echo no; $(RM) -f $(CONFIGTEMP)), no)
   $(error "libjpeg is required - install libjpeg-dev, libjpeg8-dev or libjpeg62-dev")
 endif

=== debian/changelog ===
harvid (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.1
    + Refresh patches
    + Drop patches applied upstream
  * Update d/copyright
    + Add 'licensecheck' target
    + Generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 22 Jan 2023 22:07:44 +0100

harvid (0.9.0-2) unstable; urgency=medium

  * Team upload.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Patch to allow building against FFmpeg-5.1 (Closes: #1017140)
  * Bump standards version to 4.6.1

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Aug 2022 13:09:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: harvid
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Robin Gareus <robin@gareus.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
  debhelper-compat (= 13),
- libavcodec-dev (>= 6:10~),
- libavformat-dev (>= 6:10~),
+ libavcodec-dev,
+ libavformat-dev,
  libjpeg-dev,
  libpng-dev,
- libswscale-dev (>= 6:10~),
+ libswscale-dev,
  pkg-config,
  xxd,
 Homepage: https://x42.github.com/harvid/
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/harvid.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/harvid

=== debian/rules ===
--- 
+++ 
@@ -20,3 +20,15 @@
 
 override_dh_auto_clean:
 	dh_auto_clean || true
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*|doc/harvid.jpg
+# licensecheck v1
+.PHONY: licensecheck
+licensecheck:
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints

=== debian/watch ===
version=4
https://github.com/x42/harvid/tags .*/v?(\d[\d\.]+)\.tar\.gz
